﻿
<a class="btn btn-danger" href="/Capitulo/Index?idCurso=@ViewBag.Capitulo.CursoId">Volver a Capitulos</a>
<h2>@ViewBag.Capitulo.Titulo</h2>
<h3 style="color:gray"><u><strong>@Model.Titulo</strong></u> </h3>

<div class="row">
    <div class="col-xs-6">
        @if (Model.Tipo == "pdf")
        {
            <embed src="@Model.Contenido" type="application/pdf" width="100%" height="600px" />
        }
        else
        {
            <div class="embed-responsive embed-responsive-16by9">
                <iframe class="embed-responsive-item" src="@Model.Contenido" allowfullscreen></iframe>
            </div>
        }

        <br />
        <label><strong><u>Descripcion:</u></strong></label>
        <br />
        <p>@Model.Descripcion</p>

    </div>
    <div class="col-xs-6">

        <ul class="list-group">
            @foreach (var item in ViewBag.Lecciones)
            {
                if (Model.Id == item.Id)
                {
                    <li class="list-group-item" style="background-color: rgba(155,155,155,0.7) "><a href="/Leccion/Detalle?id=@item.Id" class="btn" style="color:black"> @item.Titulo</a></li>
                }
                else
                {
                    <li class="list-group-item" style="background-color:rgba(0,0,0,0.7)"><a href="/Leccion/Detalle?id=@item.Id" class="btn" style="color:white"> @item.Titulo</a></li>
                }

            }
        </ul>
        <div class="row">
            @if (Model.Id != ViewBag.Lecciones[0].Id)
            {
                <div class="col-xs-3">
                    <a href="/Leccion/Detalle?id=@Model.Id&opcion=anterior" class="btn btn-danger">Anterior</a>
                </div>

            }
            @if (Model.Id != ViewBag.Lecciones[ViewBag.Lecciones.Count - 1].Id)
            {
                <div class="col-xs-3">
                    <a href="/Leccion/Detalle?id=@Model.Id&opcion=siguiente" class="btn btn-success">Siguiente</a>
                </div>
            }

        </div>

    </div>
</div>

<br />
<div>
    @if (ViewBag.leido == null)
    {
        <a href="/Leccion/MarcarComoLeido?id=@Model.Id" class="btn btn-success">Marcar como completado</a>

    }
    else
    {
        <a href="/Leccion/MarcarComoNoLeido?id=@Model.Id" class="btn btn-danger">Marcar como no completado</a>
    }

</div>

<h3 style="color:black">Comentarios</h3>
<form method="post" action="/Leccion/Comentar">
    <div class="row">

        <div class="form-group ">
            <textarea class="form-control" rows="5" name="Detalle" required placeholder="Cuentanos tu opinión"></textarea>
            <input type="hidden" value="@Model.Id" name="LeccionId" />
            <br />
            <input type="hidden" value="0" name="ComentarioId" />
            <button class="btn btn-primary">Enviar</button>
        </div>
    </div>
</form>
<br />
@foreach (var item in ViewBag.Comentarios)
{

    <div class="row">
        <hr />
        <div class="well ">

            <div class="panel-body">
                <h5 class="card-title">@item.UsuarioNombre</h5>
                <h6 class="card-subtitle mb-2 text-muted">@item.Fecha.ToString("yyyy/MM/dd")</h6>
                <p class="panel-text">@item.Detalle</p>
                <div class="row">
                    <div>
                        <a id="respuestas_@item.Id" onclick="respuestas(@item.Id)"><u> Responder</u></a>
                        <div class="@item.Id hide">

                            <form method="post" action="/Leccion/Comentar">
                                <div class="row">

                                    <div class="form-group">
                                        <textarea class="form-control" rows="5" name="Detalle" required placeholder="Cuentanos tu opinión"></textarea>
                                        <input type="hidden" value="@Model.Id" name="LeccionId" />
                                        <br />
                                        <input type="hidden" value="@item.Id" name="ComentarioId" />

                                        <button class="btn btn-primary">Enviar</button>
                                    </div>
                                </div>
                            </form>

                            <h3 style="color:black"><strong><u>Respuestas</u></strong></h3>
                            @foreach (var respuesta in item.Comentarios)
                            {

                                <div class="row">
                                    <div class="panel">

                                        <div class="panel-body">
                                            <h5 class="card-title">@respuesta.UsuarioNombre</h5>
                                            <h6 class="card-subtitle mb-2 text-muted">@respuesta.Fecha.ToString("yyyy/MM/dd")</h6>
                                            <p class="panel-text">@respuesta.Detalle</p>

                                        </div>
                                    </div>
                                </div>


                            }
                        </div>



                    </div>
                </div>
            </div>
        </div>
    </div>

}

<script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>


<script>
    function respuestas(nombre) {
        if ($('.' + nombre).hasClass("hide")) {

            $('.' + nombre).removeClass("hide");
        } else {

            $('.' + nombre).addClass("hide");
        }
    }
</script>